{% extends "customers/base.html" %}
{% load i18n %}
{% load staticfiles %}
{% load active_tag %}
{% load widget_tweaks %}

{% block title %}Editar Fechas de Servicio{% endblock %}
{% block pagelevelcss %}
<link href="{% static 'assets/plugins/eonasdan-bootstrap-datetimepicker/build/css/bootstrap-datetimepicker.min.css' %}" rel="stylesheet" />
{% endblock %}

{% block view_description %}Editar fechas de {% trans 'service' %}{% endblock %}

{% block page %}
	<!-- begin breadcrumb -->
	<ol class="breadcrumb float-xl-right">
		<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
		<li class="breadcrumb-item"><a href="{% url 'customer-list' %}">Clientes</a></li>
    <li class="breadcrumb-item">Servicios</li>
    <li class="breadcrumb-item active">Fechas</li>
	</ol>
	<!-- end breadcrumb -->

	<!-- begin page-header -->
	<h1 class="page-header">Editar datos de red del <small>servicio</small></h1>
	<!-- end page-header -->

	<!-- begin row -->
	<div class="row">
		<!-- begin col-12 -->
		<div class="col-xl-12 ui-sortable">
			<!-- begin panel -->
			<div class="panel panel-inverse" data-sortable-id="ui-general-1">
				<!-- begin panel-heading -->
				<div class="panel-heading ui-sortable-handle">
					<h4 class="panel-title">Editar Servicio</h4>
					<div class="panel-heading-btn">
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
					</div>
				</div>
				<!-- end panel-heading -->
				<!-- begin panel-body -->
				<div class="panel-body">
          <div class="row mb-3">
            <div class="col-sm-12 col-md-12">
              <button id="cancel-button" type="button" class="btn btn-default btn-sm pull-right ml-1"><i class="fa fa-window-close"></i></button>
              <button id="save-button" type="button" class="btn btn-success btn-sm pull-right ml-1"><i class="fa fa-save"></i></button>
            </div>
          </div>

            <form id="service-form" class="form-horizontal" method="post">
              {% csrf_token %}
              {{ form.media }}
                    <div class="tab-content">
                      <div id="network" role="tabpanel" class="tab-pane active">
            {% for field in form %}
                        <div class="form-group row m-b-15">
                          <label for="{{ field.auto_id }}" class="col-form-label col-md-3">{{ field.label }}</label>
                          <div class="col-sm-9">
                {% render_field field class="form-control m-b-5 datetime-picker" %}
                  {% for error in field.errors %}
                <small class="f-s-12 text-danger">{{ error }}</small>
                {% endfor %}
                          </div>
                        </div>
            {% endfor %}
                      </div>
                    </div>
                  </form>
          
				</div>
				<!-- end panel-body -->
			</div>
			<!-- end panel -->
		</div>
	</div>
	<!-- end row -->

	<!-- begin scroll to top btn -->
	<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
	<!-- end scroll to top btn -->

{% endblock %}












{% block pageleveljs %}
<script src="{% static 'assets/plugins/moment/min/moment.min.js' %}"></script>
<script src="{% static 'assets/plugins/eonasdan-bootstrap-datetimepicker/build/js/bootstrap-datetimepicker.min.js' %}"></script>
    <script type="text/javascript">
    $(document).ready(function(){

      $(".datetime-picker").datetimepicker({format:"DD/MM/YYYY HH:MM"})
      // save and cancel buttons
	$('#save-button').click(function() {
	    $('#service-form').submit();
	});
	$('#cancel-button').click(function() {
	    window.location.href = '{{ cancel_url }}';
	});
    });
    </script>
{% endblock %}
